Skip to main content
GET
/
accounts
/
{acc_id}
/
transactions
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/transactions?from_date=2024-03-13&to_date=2024-03-15" \
  -X GET \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const transactions = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .transactions
  .list({
    from_date: '2024-03-13',
    to_date: '2024-03-15',
  });
transactions = (method
  .accounts('acc_yVf3mkzbhz9tj')
  .transactions
  .list({
    'from_date': '2024-03-13',
    'to_date': '2024-03-15'
  }))
{
  "data": [
    {
      "id": "txn_t73AdHRFYwhT9",
      "account_id": "acc_XtKTpHLGhD9Qn",
      "status": "posted",
      "descriptor": "SQ *BENNU COFFEE",
      "merchant": {
        "name": "Bennu Coffee",
        "logo": null
      },
      "merchant_category_code": "5441",
      "amount": 3764,
      "auth_amount": 3764,
      "currency_code": "USD",
      "transaction_amount": 3764,
      "transaction_auth_amount": 3764,
      "transaction_currency_code": "USD",
      "transacted_at": "2025-03-05T07:48:06.000Z",
      "posted_at": "2025-03-06T05:00:00.000Z",
      "voided_at": null,
      "original_txn_id": null,
      "created_at": "2025-03-24T03:54:29.283Z",
      "updated_at": "2025-03-24T04:04:39.200Z"
    }
  ]
}
Retrieve a list of Transactions objects for a specific Account.

Path Parameters

Query Parameters

Returns

Returns a list of Transactions for the account.
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/transactions?from_date=2024-03-13&to_date=2024-03-15" \
  -X GET \
  -H "Method-Version: 2025-07-04" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const transactions = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .transactions
  .list({
    from_date: '2024-03-13',
    to_date: '2024-03-15',
  });
transactions = (method
  .accounts('acc_yVf3mkzbhz9tj')
  .transactions
  .list({
    'from_date': '2024-03-13',
    'to_date': '2024-03-15'
  }))
{
  "data": [
    {
      "id": "txn_t73AdHRFYwhT9",
      "account_id": "acc_XtKTpHLGhD9Qn",
      "status": "posted",
      "descriptor": "SQ *BENNU COFFEE",
      "merchant": {
        "name": "Bennu Coffee",
        "logo": null
      },
      "merchant_category_code": "5441",
      "amount": 3764,
      "auth_amount": 3764,
      "currency_code": "USD",
      "transaction_amount": 3764,
      "transaction_auth_amount": 3764,
      "transaction_currency_code": "USD",
      "transacted_at": "2025-03-05T07:48:06.000Z",
      "posted_at": "2025-03-06T05:00:00.000Z",
      "voided_at": null,
      "original_txn_id": null,
      "created_at": "2025-03-24T03:54:29.283Z",
      "updated_at": "2025-03-24T04:04:39.200Z"
    }
  ]
}